Bug 214820 - [NEW PORT] www/go-www: Static web server
Summary: [NEW PORT] www/go-www: Static web server
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL: https://github.com/nbari/www
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2016-11-25 11:28 UTC by nbari
Modified: 2017-02-05 12:41 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (nbari)


Attachments
shar file (2.42 KB, text/plain)
2016-11-25 11:28 UTC, nbari
no flags Details
go-www shar (2.46 KB, text/plain)
2016-11-25 11:44 UTC, nbari
no flags Details
go-www shar USES= go (2.47 KB, text/plain)
2016-11-25 12:52 UTC, nbari
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nbari 2016-11-25 11:28:19 UTC
Created attachment 177375 [details]
shar file

static web server

Why?

Because of the need to share, test via HTTP the contents of a directory.

How it works ?

www will start a web server listening on port 8000 and use as document root
the directory where the command was called. Different document root may be
specified as also the port and use of SSL, more info using the -h option.

WWW: https://github.com/nbari/www
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-11-25 11:33:22 UTC
This should probably be named go-www

Please also confirm this port passes QA (portlint, poudriere). For more information see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html
Comment 2 nbari 2016-11-25 11:36:13 UTC
It is compiling and passing,

It is ok to call it gowww instead of gohugo to keep consistency with other ports like gohugo ?
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-11-25 11:41:14 UTC
(In reply to nbari from comment #2)

It seems there is not a consistent convention:

https://www.freshports.org/search.php?stype=name&method=prefix&query=go-

I'd be +1 on go-, which is itself consistent with perl, python, rubygem, etc ports

CC lang/go maintainer for their input
Comment 4 nbari 2016-11-25 11:44:02 UTC
Created attachment 177377 [details]
go-www shar

go-www shar
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2016-11-25 11:46:35 UTC
(In reply to nbari from comment #4)

I'm not hugely familiar with golang ports, but I believe they should use USES=go:

https://www.au.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#uses-go
Comment 6 nbari 2016-11-25 12:47:16 UTC
From all the ports I have submitted no one currently using USES=go instead they use USES=compiler, port indeed passing, and compiling 

And have this BUILD_DEPENDS=  go>=1.7:lang/go
Comment 7 nbari 2016-11-25 12:52:24 UTC
Created attachment 177384 [details]
go-www shar USES= go

added the USES=           compiler go
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2016-11-25 12:59:52 UTC
Thanks Nicolas. If you could 'obsolete' all previous attachments that would be great.

Attachment -> Details -> Edit Details -> [X] Obsolete
Comment 9 nbari 2016-12-11 22:02:36 UTC
Hi, any update on this ?

thanks in advance
Comment 10 commit-hook freebsd_committer 2017-02-05 12:39:38 UTC
A commit references this bug:

Author: woodsb02
Date: Sun Feb  5 12:39:12 UTC 2017
New revision: 433398
URL: https://svnweb.freebsd.org/changeset/ports/433398

Log:
  Add www/go-www: Web server for static content

  www is a static web server, useful for sharing and testing the contents of a
  directory via HTTP.

  www will start a web server listening on port 8000 and use as document root
  the directory where the command was called. Different document root may be
  specified as also the port and use of SSL, more info using the -h option.

  WWW: https://github.com/nbari/www

  PR:		214820
  Submitted by:	Nicolas de Bari Embriz Garcia Rojas

Changes:
  head/www/Makefile
  head/www/go-www/
  head/www/go-www/Makefile
  head/www/go-www/distinfo
  head/www/go-www/pkg-descr
Comment 11 Ben Woods freebsd_committer 2017-02-05 12:41:11 UTC
Committed, with some minor changes. Nice work Nicolas.